Skip to main content
POST

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

address
string
required

Stellar address of the vault contract

Example:

"CBNKCU3HGFKHFOF7JTGXQCNKE3G3DXS5RDBQUKQMIIECYKXPIOUGB2S3"

role
string
required

Query Parameters

network
enum<string>
required

Stellar network to execute the transaction on (testnet or mainnet)

Available options:
testnet,
mainnet

Body

application/json

Role setting parameters. The role to set is determined by the URL path parameter.

new_address
string
required

Stellar address of the new role holder. Must be a valid Stellar public key.

Example:

"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"

caller
string
required

Stellar address of the user initiating the change. Must be a valid Stellar public key with appropriate permissions.

Example:

"GB7NTQG4EXB7NZEA5GNFHIHEQVTGQTZ6OWKWUD535FBEHNSEVCKZULIY"

Response

Transaction prepared successfully

xdr
string

Base64 encoded transaction XDR ready for signing

simulationResponse
object

Simulation result of the transaction

functionName
string

Function name for the operation

params
object

Parameters used for the operation